Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.graphic.event
Class PEMouseInputAdapter

    java.lang.Object
      jpicedt.graphic.event.PEMouseInputAdapter

All Implemented Interfaces:
  EventListener, PEMouseInputListener

public class PEMouseInputAdapter
extends Object
implements PEMouseInputListener

An abstract adapter class for receiving PEMouseEvent's. The methods in this class are empty. This class exists as convenience for creating listener objects.

Since:
  jpicedt 1.3.2
Version:
  $Id: PEMouseInputAdapter.java,v 1.5.2.1 2007/09/02 11:56:18 reynal Exp $
Author:
  Sylvain Reynal

Constructor Summary
`PEMouseInputAdapter()`

Method Summary
`void` | `mouseClicked(PEMouseEvent e)` Invoked when the mouse button has been clicked (pressed and released) on a component.
`void` | `mouseDragged(PEMouseEvent e)` Invoked when a mouse button is pressed on a component and then dragged.
`void` | `mouseEntered(PEMouseEvent e)` Invoked when the mouse enters a component.
`void` | `mouseExited(PEMouseEvent e)` nvoked when the mouse exits a component.
`void` | `mouseMoved(PEMouseEvent e)` Invoked when the mouse button has been moved on a component (with no buttons down).
`void` | `mousePressed(PEMouseEvent e)` Invoked when a mouse button has been pressed on a component.
`void` | `mouseReleased(PEMouseEvent e)` Invoked when a mouse button has been released on a component.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PEMouseInputAdapter

    public PEMouseInputAdapter()

Method Detail

### mousePressed

    public void mousePressed(PEMouseEvent e)

  Description copied from interface: `PEMouseInputListener`
  Invoked when a mouse button has been pressed on a component.

  Specified by:
    `mousePressed` in interface `PEMouseInputListener`

### mouseReleased

    public void mouseReleased(PEMouseEvent e)

  Description copied from interface: `PEMouseInputListener`
  Invoked when a mouse button has been released on a component.

  Specified by:
    `mouseReleased` in interface `PEMouseInputListener`

### mouseClicked

    public void mouseClicked(PEMouseEvent e)

  Description copied from interface: `PEMouseInputListener`
  Invoked when the mouse button has been clicked (pressed and released) on a component.

  Specified by:
    `mouseClicked` in interface `PEMouseInputListener`

### mouseMoved

    public void mouseMoved(PEMouseEvent e)

  Description copied from interface: `PEMouseInputListener`
  Invoked when the mouse button has been moved on a component (with no buttons down).

  Specified by:
    `mouseMoved` in interface `PEMouseInputListener`

### mouseDragged

    public void mouseDragged(PEMouseEvent e)

  Description copied from interface: `PEMouseInputListener`
  Invoked when a mouse button is pressed on a component and then dragged.

  Specified by:
    `mouseDragged` in interface `PEMouseInputListener`

### mouseEntered

    public void mouseEntered(PEMouseEvent e)

  Description copied from interface: `PEMouseInputListener`
  Invoked when the mouse enters a component.

  Specified by:
    `mouseEntered` in interface `PEMouseInputListener`

### mouseExited

    public void mouseExited(PEMouseEvent e)

  Description copied from interface: `PEMouseInputListener`
  nvoked when the mouse exits a component.

  Specified by:
    `mouseExited` in interface `PEMouseInputListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org